#include <QtGui>
#include <QTextCodec>

#include "AeroButton.h"

int main(int argc, char** argv)
{
  QApplication app(argc, argv);

	float opacityValue = 0.65;
	int roundValue = 42;
	//AeroButton::connect(&button, SIGNAL(clicked()), qApp, SLOT(quit()));
	QIcon icon("./tbl.png");
    //icon.addFile(QString::fromUtf8(":/images/cell_adjast.png"), QSize(), QIcon::Normal, QIcon::Off);
	
	QWidget	w;
	
	QPalette palette = w.palette();
	palette.setColor(/*QPalette::Active, */QPalette::Window, QColor(0, 255, 0, 255));
	w.setPalette(palette);
	
	QVBoxLayout	*l = new QVBoxLayout(&w);
	
	AeroButton *button = new AeroButton("Test");
	
	QSpinBox	*round = new QSpinBox(&w);
	round->setValue(roundValue);
	QSpinBox::connect(round, SIGNAL(valueChanged (int)),
						button, SLOT(setRoundness(int)));
	l->addWidget(new QLabel("round"));
	l->addWidget(round);


	QDoubleSpinBox	*opacity = new QDoubleSpinBox(&w);
	opacity->setValue(opacityValue);
	opacity->setSingleStep(0.01);
	QSpinBox::connect(opacity, SIGNAL(valueChanged (double)),
						button, SLOT(setOpacity(double)));
	l->addWidget(new QLabel("opacity"));
	l->addWidget(opacity);	


	QCheckBox	*drawImage = new QCheckBox("Draw Image");
	QCheckBox::connect(drawImage, SIGNAL(clicked(bool)),
						button, SLOT(setDrawImage(bool)));
	l->addWidget(drawImage);	

	l->addStretch();

	
	button->setColor(QColor(Qt::darkRed));
	button->setShadow(QColor(Qt::black));
	button->setHighlight(QColor(Qt::red));
	button->setRoundness(roundValue);
	button->setOpacity(opacityValue);
	button->setIcon(icon);
	//button->setAutoFillBackground(false);
	l->addWidget(button);
	
	w.setLayout(l);
	
	w.show();
	
	//button->show();
	
	return app.exec();
}
